package com.ruoyi.common.enums;

import lombok.Getter;

/**
 * @author : fangk
 * @date : 2024/4/19 15:32
 * @desc : 文件业务类型枚举
 */
@Getter
public enum FileBuzType {
    /**
     * 业务类型（0：代理商档案  1：线索  2 客户 3 报价效果图  4 土建模版 5 跟进管理 6 参数包配置 7 客户履历 8 非标描述 9 土建出图）
     */
    AGENT("0", "代理商档案"),
    LEAD("1", "线索"),
    CUSTOMER("2", "客户"),
    QUOTE("3", "报价效果图"),
    BUILDING("4", "土建模版"),
    Follow("5", "跟进管理"),
    PARABAR_DETAIL("6", "参数包配置"),
    ACCOUNT_HISTORY("7", "客户履历"),
    NON_STANDARD_DESC("8", "非标描述"),
    CIVIL_PIC_DRAWING("9", "土建出图"),

    CONTRACT("12", "合同"),
    CONTRACT_HISTORY("13", "合同履历"),

    SPECIFICATION_CIVIL_IMG("10", "梯型规格土建图"),
    QUOTATION_PREVIEW_IMG("11", "报价梯型预览图"),
    ;


    private String type;

    private String desc;

    FileBuzType(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
    
}
